Nie jesteś zalogowany na forum.

#1 2015-12-16 22:28:52

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,657
WWW

Informacja dotycząca postów proponujących instalację "obcych" pakietów

Dzisiaj pojawiły się 2 posty proponujące instalację jakiegoś oprogramowania za pośrednictwem menedżerów pakietów należących do innych dystrybucji (dpkg/rpm). Arch Linux posiada własny menedżer pakietów, jakim jest pacman i własny format plików *.pkg.tar.xz. Aczkolwiek w niemal każdym linuksie możliwe jest "zainstalowanie" dowolnej aplikacji w niemal dowolny sposób, to wszelkie tego typu próby są - delikatnie mówiąc - proszeniem się o kłopoty.
Dopóki wszystko działa, możemy sobie zaśpiewać: "nic się nie stało". Nikt nie jest w stanie jednak przewidzieć jak długo taki, naruszony, system działał będzie. Nikt wówczas też nie jest Wam w stanie pomóc, albowiem naruszyliście zasady w nim rządzące systemem paczek.
Informuję zatem, że dopóki będę administratorem, bądź moderatorem tego forum, wszelkie tego typu porady będą bezpowrotnie usuwane (co najmniej przeze mnie). Osoby, które skorzystają z nich czy to z innych źródeł, czy też z tego forum zanim "porada" taka zostanie usunięta nie będą mogły też liczyć na jakiekolwiek wsparcie. Innymi słowy - nikt Wam nie zabroni używania "obcych" paczek w Archu, ale nie wymagajcie w takiej sytuacji by ktokolwiek Wam w jakikolwiek sposób pomógł.
Dopuszczalne sposoby instalacji pakietów w Archu to poprzez:
- pacmana z repozytorium
- tworzenie pakietów lokalnie na podstawie skryptów w AUR (lub podobnych); te nie są oficjalnie wspierane w Arch, ale postaramy się w tej sprawie pomóc,
- "klasyczne" tworzenie aplikacji bezpośrednio ze źródeł; również nie mają one oficjalnego wsparcia, ale w razie czego - postaramy się pomóc.
Każde inne gwałcenie Archa, jak Syfona przez uszy, spowoduje, że post z taką "poradą" poleci do kosza. Również osoby, które używają tego typu "rozwiązań problemów" w ograniczonym zakresie mogą liczyć na nasze wsparcie, albowiem my w żaden sposób nie możemy wiedzieć co skutkiem niewłaściwej instalacji programu zostało zepsute w ich systemie.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#2 2015-12-17 22:04:08

debek
Użytkownik
Data rejestracji: 2015-10-20
Liczba postów: 57

Odp: Informacja dotycząca postów proponujących instalację "obcych" pakietów

Przyjęto do wiadomości :)

Offline

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB